OCF_PACEMAKER_STATEF(7)

NAME
ocf_pacemaker_Stateful - Example stateful resource agent

SYNOPSIS

[OCF_RESKEY_state=string] [OCF_RESKEY_envfile=string] [OCF_RESKEY_notify_delay=string]

Stateful [start | stop | monitor | monitor | promote | demote | notify | meta-data | reload-agent | validate-all]

DESCRIPTION

This is an example resource agent that implements Promoted and Unpromoted roles

SUPPORTED PARAMETERS

OCF_RESKEY_state = string [/Stateful-.state]
    State file

    Location to store the resource state in

OCF_RESKEY_envfile = string []
    Environment dump file

    If this is set, the environment will be dumped to this file for every call.

OCF_RESKEY_notify_delay = string []
    Notify delay in seconds

    The notify action will sleep for this many seconds before returning, to simulate a long-running notify.

AUTHOR

Andrew Beekhof <andrew@beekhof.net>
    Author.